ARK(1)

IME
ark - KDE orodje za arhiviranje

SINOPSIS

ark [-b] [-a] [-e] [-O] [-c] [-f suffix] [-p] [-t file] [-d] [-m] [-o directory] [KDE Frameworks Generic Options] [Qt(TM) Generic Options]

OPIS

Ark je program za upravljanje različnih formatov stisnjenih datotek v KDE. Arhive lahko pregledujete, izpisujete, ustvarjate in spreminjate z Ark. Program lahko obdeluje različne formate, kot so tar, gzip, bzip2, zip, rar (če so nameščene ustrezne knjižnice ali programi ukazne vrstice).

NAČINI DELOVANJA

Ark se lahko uporablja kot samostojni program GUI in kot program ukazne vrstice za izvajanje nekaterih posebnih nalog.

Če je sprožen brez možnosti -b (--batch) ali -c (--add), se Ark zažene kot običajen program GUI.

Če je uporabljena možnost -b (--batch), lahko Ark uporabite za ekstrahiranje vsebine ene ali več datotek neposredno iz ukazne vrstice, ne da bi zagnali svoj GUI.

Če je uporabljena možnost -c (--add), Ark vpraša po datotekah, ki jih je treba dodati novemu arhivu ali obstoječemu arhivu.

MOŽNOSTI

-d, --dialog
    Prikaže pogovorno okno za določitev možnosti za operacijo serije ali dodajanja.

-m, --mimetypes
    Seznam podprtih tipov MIME.

-o, --destination imenik
    Privzeti imenik za ekstrahiranje je imenik. Če ni posredovan, se uporabi trenutna pot.

  Možnosti dodajanja datotek

-c, --add
    Uporabnika povpraša po imenu arhivske datoteke in vanjo doda določene datoteke. Ob koncu preneha.

-t, --add-to ime datoteke
    Dodajanje določenih datotek v ime datoteke. Ustvari arhiv, če ne obstaja. Ko končate, prenehajte z delom.

-p, --changetofirstpath
    Spremeni trenutni imenik na prvi vnos in doda vse druge vnose glede na ta imenik.

-f, --autofilename končnica
    Samodejno izbere ime datoteke z izbrano končnico (na primer rar, tar.gz, zip ali katero koli drugo podprto vrsto).

  Možnosti za paketno ekstrahiranje

-b, --batch
    Uporabite paketni vmesnik namesto običajnega pogovornega okna. Ta možnost se implicira, če je naveden več kot en internetni naslov.

-e, --autodestination
    Argument cilj bo nastavljen na pot prve posredovane datoteke.

-a, --autosubfolder
    Vsebina arhiva se prebere in če se ugotovi, da ne gre za arhiv z eno mapo, se ustvari podmapa z imenom arhiva.

-O, --opendestination
    Po končanem ekstrahiranju odprite ciljno mapo.

OGLEJTE SI TUDI
    Podrobnejša uporabniška dokumentacija je na voljo v help:/ark (vnesite ta URL v Konqueror ali pa zaženite khelpcenter help:/ark).
    kf6options(7)
    qt6options(7)

PRIMERI

ark --batch archive.tar.bz2
    Ekstrahira archive.tar.bz2v trenutni imenik, ne da bi prikazal kakršen koli GUI.

ark -b -d archive.tar.bz2 archive2.zip
    Najprej prikaže pogovorno okno z možnostmi ekstrakcije, nato pa v imenik, izbran v pogovornem oknu, ekstrahira tako archive.tar.bz2 kot archive2.zip.

ark --add-to my-archive.zip photo1.jpg text.txt
    Ustvari moj arhiv.zip, če ne obstaja, in vanj doda foto1.jpg in tekst.txt.

VZDRŽEVANJE

Ark trenutno vzdržujeta Elvis Angelaccio in Ragnar Thomsen.

AUTHORS

Lauri Watts <lauri@kde.org>
    Prva različica Ark man page leta 2005.

Raphael Kubo da Costa <rakuco@FreeBSD.org>
    Update of Ark man page in 2009.

Ragnar Thomsen <rthomsen6@gmail.com>
    Update of Ark man page in 2015 and 2016.